#include<bits/stdc++.h>
using namespace std;
int t,n;
set<int> p;
int main(){
    cin>>t;
    while(t--){
        cin>>n;
        if(n<=10){
            cout<<n<<endl;
        }
        else{
           for(int i=n;i>=1;i--){
            p.insert((i%10)*(i/10));
           }
           cout<<p.size();
        }
    }
    return 0;
}